#4760 Failed to set up SSH + Tortoise

fixed
svn+ssh://flominator@svn.code.sf.net/p/wikiblame/code/ wikiblame-code
wikiblame
2015-10-08
2013-07-21
Flominator
No

Hi there,

since I was't able to commit from my old subversion working copy yesterday, I tried setting up ssh support for Tortoise 1.7.8 on Win XP SP3 as explained here: http://stackoverflow.com/questions/10598069/svnssh-and-sourceforge

I downloaded plink.exe and inserted this line into %APPDATA%\Subversion\config:

ssh = c:\\xcopy\\plink.exe -batch -i d:\\Konfigurationen\\SourceForge-SVN.ppk -v

I uploaded the SSH key I created with puttygen ssh2-rsa with the comment flominator@svn.code.sf.net

Then I call svn.exe from console:

svn checkout --username=flominator svn+ssh://flominator@svn.code.sf.net/p/wikiblame/code/ wikiblame-code

Still, it doesn't work:

Looking up host "svn.code.sf.net"
Connecting to 216.34.181.157 port 22
Server version: SSH-2.0-OpenSSH_5.3
Using SSH protocol version 2
We claim version: SSH-2.0-PuTTY_Release_0.62
Doing Diffie-Hellman group exchange
Doing Diffie-Hellman key exchange with hash SHA-256
Host key fingerprint is:
ssh-rsa 2048 86:7b:1b:12:85:35:8a:b7:98:b6:d2:97:5e:96:58:1d
Initialised AES-256 SDCTR client->server encryption
Initialised HMAC-SHA1 client->server MAC algorithm
Initialised AES-256 SDCTR server->client encryption
Initialised HMAC-SHA1 server->client MAC algorithm
Reading private key file "d:\Konfigurationen\SourceForge-SVN.ppk"
Using username "flominator".
Offered public key
Offer of public key accepted
Authenticating with public key "flominator@svn.code.sf.net"
Disconnected: Unable to authenticate
svn: E210002: Unable to connect to a repository at URL 'svn+ssh://flominator@svn.code.sf.net/p/wikiblame/code'
svn: E210002: To better debug SSH connection problems, remove the -q option from 'ssh' in the [tunnels] section of your Subversion configuration file.
svn: E210002: Network connection closed unexpectedly

What am I doing wrong?

Thanks in advance,

Flo

Discussion

  • Anonymous - 2013-07-22
    • Description has changed:

    Diff:

    --- old
    +++ new
    @@ -4,7 +4,7 @@
    
     I downloaded plink.exe and inserted this line into %APPDATA%\Subversion\config:
    
    -ssh = c:\\xcopy\\plink.exe -batch -i d:\\Konfigurationen\\SourceForge-SVN.ppk -v 
    +`ssh = c:\\xcopy\\plink.exe -batch -i d:\\Konfigurationen\\SourceForge-SVN.ppk -v `
    
     I uploaded the SSH key I created with puttygen ssh2-rsa with the comment flominator@svn.code.sf.net
    
    • status: unread --> pending
    • assigned_to: Chris Tsai
     
  • Anonymous - 2013-07-22

    I found that when I was writing this svn+ssh guide, I needed to do a direct plink connect before it would work with svn+ssh. So, for you:

    eg.

    c:\xcopy> plink.exe -i d:\Konfigurationen\SourceForge-SVN.ppk flominator@svn.code.sf.net
    

    Let me know if this helps!

    Regards,
    Chris Tsai, SourceForge.net Support

     
  • Flominator

    Flominator - 2013-07-26

    Thanks for the fast reply.

    Direct plink accepted my passphrase and resulted in this:

    Using username "flominator".
    Passphrase for key "flominator@svn.code.sf.net":
    Server refused to allocate pty

    Welcome to *.svntest.sourceforge.net

    This is a restricted Shell Account
    You cannot execute anything here.


    Then I tried again to check out with
    svn checkout --username=flominator svn+ssh://flominator@svn.code.sf.net/p/wikiblame/code/ wikiblame-code

    Which returned that one (that pretty much looks like the first one):

    Looking up host "svn.code.sf.net"
    Connecting to 216.34.181.157 port 22
    Server version: SSH-2.0-OpenSSH_5.3
    Using SSH protocol version 2
    We claim version: SSH-2.0-PuTTY_Release_0.62
    Doing Diffie-Hellman group exchange
    Doing Diffie-Hellman key exchange with hash SHA-256
    Host key fingerprint is:
    ssh-rsa 2048 86:7b:1b:12:85:35:8a:b7:98:b6:d2:97:5e:96:58:1d
    Initialised AES-256 SDCTR client->server encryption
    Initialised HMAC-SHA1 client->server MAC algorithm
    Initialised AES-256 SDCTR server->client encryption
    Initialised HMAC-SHA1 server->client MAC algorithm
    Reading private key file "d:\Konfigurationen\SourceForge-SVN.ppk"
    Using username "flominator".
    Offered public key
    Offer of public key accepted
    Authenticating with public key "flominator@svn.code.sf.net"
    Disconnected: Unable to authenticate
    svn: E210002: Unable to connect to a repository at URL 'svn+ssh://flominator@svn.code.sf.net/p/wikiblame/code'
    svn: E210002: To better debug SSH connection problems, remove the -q option from 'ssh' in the [tunnels] section of your Subversion configuration file.
    svn: E210002: Network connection closed unexpectedly

    Regards,

    Flo

     
  • Anonymous - 2013-07-26

    If it asked for a passphrase, then it sounds like it didn't accept the key, it seems to me that the problem is with the key pair.

     
  • Anonymous - 2013-07-26
    • status: pending --> assigned
     
  • Anonymous - 2013-07-26

    Scratch that, I think that's asking for the SSH key passphrase, right, not your SF account password. However, by specifying "-batch" for the plink command, that's probably suppressing the passphrase prompt. What happens if you remove that?

     
  • Flominator

    Flominator - 2013-07-27

    When I remove "-batch" then the login gets stuck:

    Looking up host "svn.code.sf.net"
    Connecting to 216.34.181.157 port 22
    Server version: SSH-2.0-OpenSSH_5.3
    Using SSH protocol version 2
    We claim version: SSH-2.0-PuTTY_Release_0.62
    Doing Diffie-Hellman group exchange
    Doing Diffie-Hellman key exchange with hash SHA-256
    Host key fingerprint is:
    ssh-rsa 2048 86:7b:1b:12:85:35:8a:b7:98:b6:d2:97:5e:96:58:1d
    Initialised AES-256 SDCTR client->server encryption
    Initialised HMAC-SHA1 client->server MAC algorithm
    Initialised AES-256 SDCTR server->client encryption
    Initialised HMAC-SHA1 server->client MAC algorithm
    Reading private key file "d:\Konfigurationen\SourceForge-SVN.ppk"
    Using username "flominator".
    Offered public key
    Offer of public key accepted

    [nothing happens, I pressed CTRL + C after some minutes]

    svn: E210002: Unable to connect to a repository at URL 'svn+ssh://flominator@svn.code.sf.net/p/wikiblame/code'
    svn: E210002: To better debug SSH connection problems, remove the -q option from 'ssh' in the [tunnels] section of your Subversion configuration file.
    svn: E210002: Network connection closed unexpectedly

    I'm calling the checkout command from a batch file with nothing more in it, but that shouldn't be a problem, right?

     
    Last edit: Flominator 2013-07-27
  • Flominator

    Flominator - 2013-08-16

    Any alternative ideas on that one?

     
  • Flominator

    Flominator - 2013-09-28

    Solved it by switching my working copy from http to https

     
  • John Barrett

    John Barrett - 2015-10-08
     
  • John Barrett

    John Barrett - 2015-10-08

    Hello,
    Durning a ticket review process I saw this ticket, so I apologize for the delay in my reply to this ticket. I think this is an old issue that has already been taken care of if I'm mistaken please let me know and I will take another look into your situation.
    Thanks
    SourceForge Support

     
  • John Barrett

    John Barrett - 2015-10-08
    • status: assigned --> fixed
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks